Package twisted :: Package im :: Module pbsupport :: Class PBAccount

[show private | hide private]
[frames | no frames]

## Class PBAccount

    AbstractAccount --+
                      |
                     PBAccount

Method Summary
| ``__init__`(self, accountName, autoLogin, username, password, host, port, services)`
| `__getstate__(self)` (inherited from `AbstractAccount`)
| `__setstate__(self, d)` (inherited from `AbstractAccount`)
| `isOnline(self)` (inherited from `AbstractAccount`)
DeferredList of `interfaces.IClient`s | ``logOn`(self, chatui)` Return this breaks with `interfaces.IAccount`
| `_cbConnected(self, root, chatui)`
| `_cbIdent(self, ident, chatui)`
| `_ebConnected(self, error)`
| ``_loginFailed`(self, reason)` Errorback for `logOn`. (inherited from `AbstractAccount`)
Deferred `interfaces.IClient` | ``_startLogOn`(self, chatui)` Start the sign on process.

Class Variable Summary
`string` | `gatewayType`

Method Details

### __init__(self, accountName, autoLogin, username, password, host, port, services=None)
(Constructor)

  Parameters:
    `username` - The name of your PB Identity.
    (type=string)

### logOn(self, chatui)

  Returns:
    this breaks with `interfaces.IAccount`
    (type=DeferredList of `interfaces.IClient`s)

### _startLogOn(self, chatui)

Start the sign on process.

Factored out of `logOn`.

  Returns:
    Deferred `interfaces.IClient`
  Overrides:
    `twisted.im.basesupport.AbstractAccount._startLogOn` (inherited documentation)

Class Variable Details

### gatewayType

  Type:
    `string`
  Value:

        'PB'

Generated by Epydoc 1.1 on Sat Feb 15 21:19:02 2003 | http://epydoc.sf.net